package com.pusong.business.domain.vo.home;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class UserContractAmountVo {
    /**
     * 用户id
     */
    private Long userId;

    private String dateStr;
    /**
     * 用户名字
     */
    private String nickName;
    /**
     * 与其他人合同金额的占比
     */
    private String amountPer;
    /**
     * 转介绍合同数量
     */
    private Integer jieShaoContractNum=0;
    /**
     * 转介绍合同金额占比
     */
    private String jieShaoPer;
    /**
     * 用户所有合同总金额
     */
    private BigDecimal sumAmount=new BigDecimal(0);
    /**
     * 托管类型合同总金额 类型号:4
     */
    private BigDecimal tuoGuanAmount=new BigDecimal(0);
    /**
     * 续费类型合同总金额
     */
    private BigDecimal xuFeiAmount=new BigDecimal(0);
    /**
     * 软件定制类型合同总金额 类型号:9
     */
    private BigDecimal softwareDevAmount=new BigDecimal(0);
    /**
     * 其他类型合同总金额
     */
    private BigDecimal otherAmount=new BigDecimal(0);
    /**
     * 转介绍的合同金额
     */
    private BigDecimal jieShaoAmount=new BigDecimal(0);

    public void addSumAmount(BigDecimal amount){
        sumAmount=sumAmount.add(amount);
    }
    public void addTuoGuanAmount(BigDecimal amount){
        tuoGuanAmount=tuoGuanAmount.add(amount);
    }
    public void addXuFeiAmount(BigDecimal amount){
        xuFeiAmount=xuFeiAmount.add(amount);
    }
    public void addSoftwareDevAmount(BigDecimal amount){
        softwareDevAmount=softwareDevAmount.add(amount);
    }
    public void addOtherAmount(BigDecimal amount) {
        otherAmount=otherAmount.add(amount);
    }
    public void addJieShaoAmount(BigDecimal amount) {
        jieShaoAmount = jieShaoAmount.add(amount);
    }
    public void addJieShaoContractNum() {
        jieShaoContractNum++;
    }
}
